# CUpti_ActivityDevice5 Struct Reference
[CUPTI Activity API]

The activity record for a device. (CUDA 11.6 onwards). More...

## Data Fields
uint32_t | computeCapabilityMajor
uint32_t | computeCapabilityMinor
uint32_t | computeInstanceId
uint32_t | constantMemorySize
uint32_t | coreClockRate
uint32_t | eccEnabled
CUpti_ActivityFlag | flags
uint64_t | globalMemoryBandwidth
uint64_t | globalMemorySize
uint32_t | gpuInstanceId
uint32_t | id
uint8_t | isCudaVisible
uint8_t | isMigEnabled
uint32_t | isNumaNode
CUpti_ActivityKind | kind
uint32_t | l2CacheSize
uint32_t | maxBlockDimX
uint32_t | maxBlockDimY
uint32_t | maxBlockDimZ
uint32_t | maxBlocksPerMultiprocessor
uint32_t | maxGridDimX
uint32_t | maxGridDimY
uint32_t | maxGridDimZ
uint32_t | maxIPC
uint32_t | maxRegistersPerBlock
uint32_t | maxRegistersPerMultiprocessor
uint32_t | maxSharedMemoryPerBlock
uint32_t | maxSharedMemoryPerMultiprocessor
uint32_t | maxThreadsPerBlock
uint32_t | maxWarpsPerMultiprocessor
CUuuid | migUuid
const char * | name
uint32_t | numaId
uint32_t | numMemcpyEngines
uint32_t | numMultiprocessors
uint32_t | numThreadsPerWarp
uint32_t | pad
CUuuid | uuid

## Detailed Description

This activity record represents information about a GPU device (CUPTI_ACTIVITY_KIND_DEVICE).

## Field Documentation

uint32_t CUpti_ActivityDevice5::computeCapabilityMajor

Compute capability for the device, major number.

uint32_t CUpti_ActivityDevice5::computeCapabilityMinor

Compute capability for the device, minor number.

uint32_t CUpti_ActivityDevice5::computeInstanceId

Compute Instance id for MIG enabled devices. If mig mode is disabled value is set to UINT32_MAX

uint32_t CUpti_ActivityDevice5::constantMemorySize

The amount of constant memory on the device, in bytes.

uint32_t CUpti_ActivityDevice5::coreClockRate

The core clock rate of the device, in kHz.

uint32_t CUpti_ActivityDevice5::eccEnabled

ECC enabled flag for device

CUpti_ActivityFlag CUpti_ActivityDevice5::flags

The flags associated with the device.

See also:
  CUpti_ActivityFlag

uint64_t CUpti_ActivityDevice5::globalMemoryBandwidth

The global memory bandwidth available on the device, in kBytes/sec.

uint64_t CUpti_ActivityDevice5::globalMemorySize

The amount of global memory on the device, in bytes.

uint32_t CUpti_ActivityDevice5::gpuInstanceId

GPU Instance id for MIG enabled devices. If mig mode is disabled value is set to UINT32_MAX

uint32_t CUpti_ActivityDevice5::id

The device ID.

uint8_t CUpti_ActivityDevice5::isCudaVisible

Flag to indicate whether the device is visible to CUDA. Users can set the device visibility using CUDA_VISIBLE_DEVICES environment

uint8_t CUpti_ActivityDevice5::isMigEnabled

MIG enabled flag for device

uint32_t CUpti_ActivityDevice5::isNumaNode

Numa (Non-uniform memory access) information for device GPU is a NUMA node or not

CUpti_ActivityKind CUpti_ActivityDevice5::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_DEVICE.

uint32_t CUpti_ActivityDevice5::l2CacheSize

The size of the L2 cache on the device, in bytes.

uint32_t CUpti_ActivityDevice5::maxBlockDimX

Maximum allowed X dimension for a block.

uint32_t CUpti_ActivityDevice5::maxBlockDimY

Maximum allowed Y dimension for a block.

uint32_t CUpti_ActivityDevice5::maxBlockDimZ

Maximum allowed Z dimension for a block.

uint32_t CUpti_ActivityDevice5::maxBlocksPerMultiprocessor

Maximum number of blocks that can be present on a multiprocessor at any given time.

uint32_t CUpti_ActivityDevice5::maxGridDimX

Maximum allowed X dimension for a grid.

uint32_t CUpti_ActivityDevice5::maxGridDimY

Maximum allowed Y dimension for a grid.

uint32_t CUpti_ActivityDevice5::maxGridDimZ

Maximum allowed Z dimension for a grid.

uint32_t CUpti_ActivityDevice5::maxIPC

The maximum "instructions per cycle" possible on each device multiprocessor.

uint32_t CUpti_ActivityDevice5::maxRegistersPerBlock

Maximum number of registers that can be allocated to a block.

uint32_t CUpti_ActivityDevice5::maxRegistersPerMultiprocessor

Maximum number of 32-bit registers available per multiprocessor.

uint32_t CUpti_ActivityDevice5::maxSharedMemoryPerBlock

Maximum amount of shared memory that can be assigned to a block, in bytes.

uint32_t CUpti_ActivityDevice5::maxSharedMemoryPerMultiprocessor

Maximum amount of shared memory available per multiprocessor, in bytes.

uint32_t CUpti_ActivityDevice5::maxThreadsPerBlock

Maximum number of threads allowed in a block.

uint32_t CUpti_ActivityDevice5::maxWarpsPerMultiprocessor

Maximum number of warps that can be present on a multiprocessor at any given time.

CUuuid CUpti_ActivityDevice5::migUuid

The MIG UUID. This value is the globally unique immutable alphanumeric identifier of the device.

const char* CUpti_ActivityDevice5::name

The device name. This name is shared across all activity records representing instances of the device, and so should not be modified.

uint32_t CUpti_ActivityDevice5::numaId

Numa (Non-uniform memory access) information for device NUMA node ID of the GPU memory if GPU is not a NUMA node, it returns invalidNumaId

uint32_t CUpti_ActivityDevice5::numMemcpyEngines

Number of memory copy engines on the device.

uint32_t CUpti_ActivityDevice5::numMultiprocessors

Number of multiprocessors on the device.

uint32_t CUpti_ActivityDevice5::numThreadsPerWarp

The number of threads per warp on the device.

uint32_t CUpti_ActivityDevice5::pad

Undefined. Reserved for internal use.

CUuuid CUpti_ActivityDevice5::uuid

The device UUID. This value is the globally unique immutable alphanumeric identifier of the device.